Search documentation of phoenix_kit

# PhoenixKitWeb.Live.Settings (phoenix_kit v1.6.19)

View Source

Admin settings management LiveView for PhoenixKit.

Provides interface for managing system-wide settings including timezone, date/time formats.

# Summary

## Functions

get_current_date_example(format)
get_current_time_example(format)
get_oauth_callback_url(settings, provider)
get_option_label(value, options)
get_timezone_label(value, setting_options)
handle_event(binary, arg2, socket)

Callback implementation for `Phoenix.LiveView.handle_event/3`.

handle_info(arg, socket)

Callback implementation for `Phoenix.LiveView.handle_info/2`.

handle_params(params, url, socket)

Callback implementation for `Phoenix.LiveView.handle_params/3`.

mount(params, session, socket)

Callback implementation for `Phoenix.LiveView.mount/3`.

render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.

# Functions

# get_current_date_example(format)

# get_current_time_example(format)

# get_oauth_callback_url(settings, provider)

# get_option_label(value, options)

# get_timezone_label(value, setting_options)

# handle_event(binary, arg2, socket)

Callback implementation for `Phoenix.LiveView.handle_event/3`.

# handle_info(arg, socket)

Callback implementation for `Phoenix.LiveView.handle_info/2`.

# handle_params(params, url, socket)

Callback implementation for `Phoenix.LiveView.handle_params/3`.

# mount(params, session, socket)

Callback implementation for `Phoenix.LiveView.mount/3`.

# render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.